ortp::RecieveCluster Class Reference

## Public Member Functions

| RecieveCluster (struct _RtpSession *session)
| RecieveCluster (struct _RtpSession *session, int repair)
std::shared_ptr< FecSourcePacket > | getSourcePacket (uint16_t seqnum)
void | add (uint16_t seqnum, const std::shared_ptr< FecSourcePacket > &packet)
void | add (const std::shared_ptr< FecRepairPacket > &packet)
bool | isFull () const
bool | repairPacketsTooOld (FecParameters const &parameters)
void | clearRepairPackets ()
std::map< uint16_t, std::shared_ptr< FecSourcePacket > > const & | getSource ()
int | repairOne (FecRepairPacket const &repairPacket)
int | repair1D (bool interleaved)
int | repair2D ()
void | setModifier (struct _RtpTransportModifier *modifier)
uint32_t | getRepairWindow ()
void | print ()

The documentation for this class was generated from the following file:

- fecstream.h